Crash when using the identify tool in the "layer choice" mode

2017-11-07 04:44 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25310

Description

In current QGIS master (commit:07cef67ead) - when I use the Identify tool with the "layer choice" mode and "Automically open form if

single feature is hit" - QGIS crashes just after the layer choice context menu shows up and before the form would show.

Crash dump:

---------------------

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f68dfcfe8ea in __GI___waitpid (pid=15277, stat_loc=0x7ffff11009f4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

29      ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f68e423d1c0 (LWP 15124))]

#0  0x00007f68dfcfe8ea in __GI___waitpid (pid=15277, stat_loc=0x7ffff11009f4, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:29

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x000055928446e5ca in qgisCrash(int) (signal=-1) at ../src/app/main.cpp:325

        status = 8388644

        pidstr = "--pid=15124\000\000\000\000\000\004\000\000\000\000\000\000\000\362\te\340h\177\000" 

        gdbpid = 15277

        exename = "/usr/local/bin/qgis\000\377\177\000\000G\375l\340h\177\000\000 \v\020\361\377\177\000\000

\f\020\361\377\177\000\000\001\000\000\000\000\000\000\000z\223k\340h\177\000\000[\000\000\000n", '\000' <repeats 20

times>,

"m!\027Z\323\032\360\000\311,\344h\177\000\000\060\350\340\207\222U\000\000p\351\340\207\222U\000\000\000m!\027Z\323\032\360\000\000\000\000\000\000\000\000\300\373x\210\222U\000\000\000\375x\210\222U\000\000 \f\000\340h\177\000\000\000\000\000\000\000\000\000\000\220\000\000\000\000\000\000\000\200\000\000\000\000\000\000\000\024\065\313\337h\177\000\000\021\000\000\000\000\000\000\000"...
        len = 19
#2  0x000055928446e8ca in myMessageOutput(QtMsgType, char const*) (type=QtFatalMsg, msg=0x55928878fbe8 "ASSERT: \"!isEmpty()\" in file /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h, line 238") at ../src/app/main.cpp:389
#3  0x00007f68e063861a in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f68e063a0ee in QMessageLogger::fatal(char const*, ...) const () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f68e0635357 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f68ddd58768 in QVector<QPointF>::last() (this=0x7ffff1100e88) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:238
#7  0x00007f68ddd58240 in QVector<QPointF>::back() (this=0x7ffff1100e88) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h

23\032\360\000\000\000\000\000\000\000\000\300\373x\210\222U\000\000\000\375x\210\222U\000\000

\f\000\340h\177\000\000\000\000\000\000\000\000\000\000\220\000\000\000\000\000\000\000\200\000\000\000\000\000\000\000\024\065\313\337h\177\000\000\021\000\000\000\000\000\000\000"...
        len = 19
#2  0x000055928446e8ca in myMessageOutput(QtMsgType, char const*) (type=QtFatalMsg, msg=0x55928878fbe8 "ASSERT: \"!isEmpty()\" in file /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h, line 238") at ../src/app/main.cpp:389
#3  0x00007f68e063861a in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f68e063a0ee in QMessageLogger::fatal(char const*, ...) const () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f68e0635357 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f68ddd58768 in QVector<QPointF>::last() (this=0x7ffff1100e88) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:238
#7  0x00007f68ddd58240 in QVector<QPointF>::back() (this=0x7ffff1100e88) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:269
#8  0x00007f68ddd56c55 in QgsHighlight::paintPolygon(QPainter*, QVector<QVector<QgsPointXY> > const&) (this=0x7f68b8018cc0, p=0x7ffff11018f0, polygon=...) at ../src/gui/qgshighlight.cpp:245
        curVertex = {xp = 223.65653983812081, yp = 108.93968809265061}
        sourceVertex = @0x5592859924c8: {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7f68e2b6c820 <qt_meta_stringdata_QgsPointXY>, dat

000\024\065\313\337h\177\000\000\021\000\000\000\000\000\000\000"...

        len = 19

#2  0x000055928446e8ca in myMessageOutput(QtMsgType, char const*) (type=QtFatalMsg, msg=0x55928878fbe8 "ASSERT:

\"!isEmpty()\" in file /usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h, line 238") at ../src/app/main.cpp:389

#3  0x00007f68e063861a in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#4  0x00007f68e063a0ee in QMessageLogger::fatal(char const*, ...) const () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#5  0x00007f68e0635357 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#6  0x00007f68ddd58768 in QVector<QPointF>::last() (this=0x7ffff1100e88) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:238

#7  0x00007f68ddd58240 in QVector<QPointF>::back() (this=0x7ffff1100e88) at

/usr/include/x86_64-linux-gnu/qt5/QtCore/qvector.h:269

#8  0x00007f68ddd56c55 in QgsHighlight::paintPolygon(QPainter*, QVector<QVector<QgsPointXY> > const&)

(this=0x7f68b8018cc0, p=0x7ffff11018f0, polygon=...) at ../src/gui/qgshighlight.cpp:245

        curVertex = {xp = 223.65653983812081, yp = 108.93968809265061}
        sourceVertex = @0x5592859924c8: {static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7f68e2b6c820

<qt_meta_stringdata_QgsPointXY>, data = 0x7f68e2b6c880 <qt_meta_data_QgsPointXY>, static_metacall = 0x7f68e29fd5d4

<QgsPointXY::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, mX =

2684947.0676741153, mY = 1223224.3434506613}

        __for_range = @0x559285b13018: {d = 0x5592859924b0}

        __for_begin = 0x5592859924c8

        __for_end = 0x5592859940c8

        ring = {<QVector<QPointF>> = {d = 0x559288a44f00}, <No data fields>}

        lastVertex = {xp = 0, yp = 0}

        sourceRing = @0x559285b13018: {d = 0x5592859924b0}

        __for_range = @0x7ffff1100fb0: {d = 0x559285b13000}

        __for_begin = 0x559285b13018

        __for_end = 0x559285b13020

        path = {d_ptr = {d = 0x0}}

#9  0x00007f68ddd57158 in QgsHighlight::paint(QPainter*) (this=0x7f68b8018cc0, p=0x7ffff11018f0) at

../src/gui/qgshighlight.cpp:313

#10 0x00007f68ddda75c4 in QgsMapCanvasItem::paint(QPainter*, QStyleOptionGraphicsItem const*, QWidget*)

(this=0x7f68b8018cc0, painter=0x7ffff11018f0, option=0x55928543e2e8, widget=0x5592859800f0) at

../src/gui/qgsmapcanvasitem.cpp:52

#11 0x00007f68e18afcb6 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#12 0x00007f68e18b02c8 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#13 0x00007f68e18b0aba in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#14 0x00007f68e18d3716 in QGraphicsView::paintEvent(QPaintEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#15 0x00007f68ddd99749 in QgsMapCanvas::paintEvent(QPaintEvent*) (this=0x559285775b30, e=0x7ffff1101f00) at

../src/gui/qgsmapcanvas.cpp:1470

#16 0x00007f68e15e7dc8 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#17 0x00007f68e16c72de in QFrame::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#18 0x00007f68e18d224b in QGraphicsView::viewportEvent(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#19 0x00007f68e082cacc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#20 0x00007f68e15a7445 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#21 0x00007f68e15aed34 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#22 0x00007f68e2304a63 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffff1104e90, receiver=0x5592859800f0,

event=0x7ffff1101f00) at ../src/core/qgsapplication.cpp:316

        done = true

        __FUNCTION__ = "notify" 

#23 0x00007f68e082cde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#24 0x00007f68e15e0f6a in QWidgetPrivate::sendPaintEvent(QRegion const&) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#25 0x00007f68e15e152a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#26 0x00007f68e15e2190 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion

const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#27 0x00007f68e15e1136 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#28 0x00007f68e15e2190 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion

const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#29 0x00007f68e15e1136 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#30 0x00007f68e15e2190 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion

const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#31 0x00007f68e15e1136 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f68e15e2190 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion

const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#33 0x00007f68e15e1136 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*,

QWidgetBackingStore*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#34 0x00007f68e15b6a84 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#35 0x00007f68e15b6cc5 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#36 0x00007f68e15d053f in QWidgetPrivate::syncBackingStore() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#37 0x00007f68e15e7f38 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#38 0x00007f68e16d5bab in QMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#39 0x00007f68e32b24f3 in QgisApp::event(QEvent*) (this=0x5592856b71a0, event=0x55928869b290) at

../src/app/qgisapp.cpp:1580

        done = false

#40 0x00007f68e15a746c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#41 0x00007f68e15aed34 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#42 0x00007f68e2304a63 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffff1104e90, receiver=0x5592856b71a0,

event=0x55928869b290) at ../src/core/qgsapplication.cpp:316

        done = true

        __FUNCTION__ = "notify" 

#43 0x00007f68e082cde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#44 0x00007f68e082f55d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#45 0x00007f68e18a3df2 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#46 0x00007f68e18a8f79 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#47 0x00007f68e085c452 in QObject::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#48 0x00007f68e18b43db in QGraphicsScene::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#49 0x00007f68e15a746c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#50 0x00007f68e15aed34 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#51 0x00007f68e2304a63 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffff1104e90, receiver=0x559285980a00,

event=0x559289e1dfd0) at ../src/core/qgsapplication.cpp:316

        done = true

        __FUNCTION__ = "notify" 

#52 0x00007f68e082cde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#53 0x00007f68e082f55d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#54 0x00007f68e0885e53 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#55 0x00007f68d53edfb7 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#56 0x00007f68d53ee1f0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#57 0x00007f68d53ee27c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#58 0x00007f68e088547f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#59 0x00007f68e082ae3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#60 0x00007f68e1700f60 in QMenu::exec(QPoint const&, QAction*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#61 0x00007f68ddd65c97 in QgsIdentifyMenu::exec(QList<QgsMapToolIdentify::IdentifyResult> const&, QPoint)

(this=0x559285cf0470, idResults=..., pos=...) at ../src/gui/qgsidentifymenu.cpp:134

        returnResults = {<QListSpecialMethods<QgsMapToolIdentify::IdentifyResult>> = {<No data fields>}, {p = {static shared_null

= {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0,

begin = 0, end = 0, array = {0x0}}, d = 0x7f68e091ca00 <QListData::shared_null>}, d = 0x7f68e091ca00

<QListData::shared_null>}}

        singleLayer = false

        count = 3
        it = {c = {d = 0x559287bef510}, i = {i = 0x559287bef518}, n = {i = 0x559288361420}}

        selectedAction = 0x1d

        externalAction = 160

#62 0x00007f68dddc3254 in QgsMapToolIdentify::identify(int, int, QgsMapToolIdentify::IdentifyMode, QList<QgsMapLayer*>

const&, QFlags<QgsMapToolIdentify::Type>) (this=0x559285cee840, x=538, y=249,

mode=QgsMapToolIdentify::LayerSelection, layerList=..., layerType=...) at ../src/gui/qgsmaptoolidentify.cpp:114

        results = {<QListSpecialMethods<QgsMapToolIdentify::IdentifyResult>> = {<No data fields>}, {p = {static shared_null = {ref =

{atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin =

0, end = 0, array = {0x0}}, d = 0x559293bc57a0}, d = 0x559293bc57a0}}

        globalPos = {xp = 878, yp = 465}

        results = {<QListSpecialMethods<QgsMapToolIdentify::IdentifyResult>> = {<No data fields>}, {p = {static shared_null = {ref =

{atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin =

0, end = 0, array = {0x0}}, d = 0x7f68e091ca00 <QListData::shared_null>}, d = 0x7f68e091ca00 <QListData::shared_null>}}

#63 0x00007f68dddc2e48 in QgsMapToolIdentify::identify(int, int, QgsMapToolIdentify::IdentifyMode,

QFlags<QgsMapToolIdentify::Type>) (this=0x559285cee840, x=538, y=249, mode=QgsMapToolIdentify::DefaultQgsSetting,

layerType=...) at ../src/gui/qgsmaptoolidentify.cpp:91

#64 0x00007f68e3543a0d in QgsMapToolIdentifyAction::canvasReleaseEvent(QgsMapMouseEvent*) (this=0x559285cee840,

e=0x559285861370) at ../src/app/qgsmaptoolidentifyaction.cpp:131

        extendedMenu = false

        mode = QgsMapToolIdentify::DefaultQgsSetting

        results = {<QListSpecialMethods<QgsMapToolIdentify::IdentifyResult>> = {<No data fields>}, {p = {static shared_null = {ref =

{atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin =

0, end = 0, array = {0x0}}, d = 0x559285861370}, d = 0x559285861370}}

#65 0x00007f68ddd99551 in QgsMapCanvas::mouseReleaseEvent(QMouseEvent*) (this=0x559285775b30, e=0x7ffff1104360)

at ../src/gui/qgsmapcanvas.cpp:1434

        me = std::unique_ptr<QgsMapMouseEvent> containing 0x559285861370

        __FUNCTION__ = "mouseReleaseEvent" 

#66 0x00007f68e15e7dc8 in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#67 0x00007f68e16c72de in QFrame::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#68 0x00007f68e18d224b in QGraphicsView::viewportEvent(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#69 0x00007f68e082cacc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#70 0x00007f68e15a7445 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#71 0x00007f68e15af28f in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#72 0x00007f68e2304a63 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffff1104e90, receiver=0x5592859800f0,

event=0x7ffff1104360) at ../src/core/qgsapplication.cpp:316

        done = true

        __FUNCTION__ = "notify" 

#73 0x00007f68e082cde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#74 0x00007f68e15ae262 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#75 0x00007f68e160294b in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#76 0x00007f68e1604fba in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#77 0x00007f68e15a746c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#78 0x00007f68e15aed34 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

#79 0x00007f68e2304a63 in QgsApplication::notify(QObject*, QEvent*) (this=0x7ffff1104e90, receiver=0x559287a671f0,

event=0x7ffff11047d0) at ../src/core/qgsapplication.cpp:316

        done = true

        __FUNCTION__ = "notify" 

#80 0x00007f68e082cde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#81 0x00007f68e0debf43 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#82 0x00007f68e0deda25 in

QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#83 0x00007f68e0dc5cab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>)

() at /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

#84 0x00007f68c10375a0 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

#85 0x00007f68d53edfb7 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#86 0x00007f68d53ee1f0 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#87 0x00007f68d53ee27c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0

#88 0x00007f68e088547f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#89 0x00007f68e082ae3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#90 0x00007f68e0833da4 in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#91 0x0000559284474b43 in main(int, char**) (argc=3, argv=0x7ffff1105288) at ../src/app/main.cpp:1344

        profile = 0x5592853c8f20

        presetStyle = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        rootProfileFolder = {static null = {<No data fields>}, d = 0x5592853c9de0}

        myLocaleOverrideFlag = false

        qgistor = <incomplete type>

        w = 600

        mySplashPath = {static null = {<No data fields>}, d = 0x7f68e2a85e60

<QgsApplication::splashPath()::{lambda()#1}::operator()() const::qstring_literal>}

        h = 300

        mypSplash = 0x5592854b50a0

        qgis = 0x5592856b71a0

        retval = 2

        manager = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f68e0cdca00

<QObject::staticMetaObject>, stringdata = 0x7f68e2b86140 <qt_meta_stringdata_QgsUserProfileManager>, data =

0x7f68e2b861c0 <qt_meta_data_QgsUserProfileManager>, static_metacall = 0x7f68e2a21ae2

<QgsUserProfileManager::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata =

0x0}}, mWatchProfiles = false, mWatcher = std::unique_ptr<QFileSystemWatcher> containing 0x0, mRootProfilePath = {static

null = {<No data fields>}, d = 0x5592853c9de0}, mUserProfile = std::unique_ptr<QgsUserProfile> containing 0x0, mSettings =

std::unique_ptr<QSettings> containing 0x5592853781c0}

        profileFolder = {static null = {<No data fields>}, d = 0x5592853c9d20}

        mySettings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f68e0cdca00

<QObject::staticMetaObject>, stringdata = 0x7f68e2b75420 <qt_meta_stringdata_QgsSettings>, data = 0x7f68e2b75460

<qt_meta_data_QgsSettings>, static_metacall = 0x7f68e2a09ce8 <QgsSettings::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath = {static null = {<No

data fields>}, d = 0x5592854668d0}, mUserSettings = 0x559285472b10, mGlobalSettings = 0x559285493990,

mUsingGlobalArray = false}

        systemEnvVars = {d = 0x559285454480}

        activeStyleName = {static null = {<No data fields>}, d = 0x5592855fc470}

        i18nPath = {static null = {<No data fields>}, d = 0x55928555ab80}

        myUserLocale = {static null = {<No data fields>}, d = 0x5592855fb670}

        qttor = <incomplete type>

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f68e1c68020

<QApplication::staticMetaObject>, stringdata = 0x7f68e2b63100 <qt_meta_stringdata_QgsApplication>, data = 0x7f68e2b63260

<qt_meta_data_QgsApplication>, static_metacall = 0x7f68e29ef6fa <QgsApplication::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static QGIS_ORGANIZATION_NAME =

0x7f68e2a85488 "QGIS", static QGIS_ORGANIZATION_DOMAIN = 0x7f68e2a8548d "qgis.org", static

QGIS_APPLICATION_NAME = 0x7f68e2a85496 "QGIS3", static mFileOpenEventReceiver29900 = 0x5592856b71a0, static
mFileOpenEventList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static

shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data

fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x7f68e091ca00 <QListData::shared_null>}, d = 0x7f68e091ca00

<QListData::shared_null>}}, <No data fields>}, static mUIThemeName29900 = {static null = {<No data fields>}, d =

0x7f68e091a400 <QArrayData::shared_null>}, static mPrefixPath29900 = {static null = <same as static member of an already

seen type>, d = 0x559285469ea0}, static mPluginPath29900 = {static null = <same as static member of an already seen type>, d

= 0x559285466840}, static mPkgDataPath29900 = {static null = <same as static member of an already seen type>, d =

0x559285443750}, static mLibraryPath29900 = {static null = <same as static member of an already seen type>, d =

0x559285469a30}, static mLibexecPath29900 = {static null = <same as static member of an already seen type>, d =

0x559285469d50}, static mThemeName29900 = {static null = <same as static member of an already seen type>, d =

0x7f68e2a85a00 <QgsApplication::setUITheme(QString const&)::{lambda()#2}::operator()() const::qstring_literal>}, static

mDefaultSvgPaths29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static

shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data

fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x559285466b50}, d = 0x559285466b50}}, <No data fields>}, static

mSystemEnvVars29900 = {d = 0x559285454480}, static mConfigPath29900 = {static null = {<No data fields>}, d =

0x559285466510}, static mRunningFromBuildDir29900 = false, static mBuildSourcePath29900 = {static null = <same as static

member of an already seen type>, d = 0x7f68e091a400 <QArrayData::shared_null>}, static mBuildOutputPath29900 = {static null

= <same as static member of an already seen type>, d = 0x7f68e091a400 <QArrayData::shared_null>}, static

mGdalSkipList29900 = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null =

{ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0,

begin = 0, end = 0, array = {0x0}}, d = 0x7f68e091ca00 <QListData::shared_null>}, d = 0x7f68e091ca00

<QListData::shared_null>}}, <No data fields>}, static mMaxThreads29900 = -1, static mAuthDbDirPath29900 = {static null = {<No

data fields>}, d = 0x559285466510}, static sUserName = {static null = <same as static member of an already seen type>, d =

0x559285b7f780}, static sUserFullName = {static null = <same as static member of an already seen type>, d =

0x559285b78d70}, static sPlatformName = {static null = <same as static member of an already seen type>, d =

0x5592853ca660}, mIconCache = {d = 0x55928545d3f0}, mDataItemProviderRegistry = 0x5592864272c0, mAuthManager =

0x559285995590, mApplicationMembers = 0x55928543c4d0, static sApplicationMembers = 0x0}

        customizationsettings = 0x559285468c20

        useCustomVars = false

        myPixmap = <incomplete type>

        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        configLocalStorageLocation = {static null = {<No data fields>}, d = 0x5592853ca0e0}

        profileName = {static null = {<No data fields>}, d = 0x5592853caab0}

        mySnapshotWidth = 800

        mySnapshotHeight = 600

        myHideSplash = false

        mySettingsMigrationForce = false

        mySkipVersionCheck = false

        myRestoreDefaultWindowState = false

        myRestorePlugins = true

        myCustomization = true

        dxfOutputFile = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        dxfSymbologyMode = QgsDxfExport::SymbolLayerSymbology

        dxfScale = 50000

        dxfEncoding = {static null = {<No data fields>}, d = 0x55928447cf00 <main::{lambda()#1}::operator()() const::qstring_literal>}

        dxfPreset = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        dxfExtent = {mXmin = 0, mYmin = 0, mXmax = 0, mYmax = 0}

        myInitialExtent = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        myTranslationCode = {static null = {<No data fields>}, d = 0x5592855bd0c0}

        configpath = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        authdbdirectory = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        pythonfile = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}
        customizationfile = {static null = {<No data fields>}, d = 0x7f68e091a400 <QArrayData::shared_null>}

        globalsettingsfile = {static null = {<No data fields>}, d = 0x5592854668d0}

        args = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic

= {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end =

0, array = {0x0}}, d = 0x5592853c6390}, d = 0x5592853c6390}}, <No data fields>}

        myUseGuiFlag = true

        settings = {<QObject> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f68e0cdca00

<QObject::staticMetaObject>, stringdata = 0x7f68e2b75420 <qt_meta_stringdata_QgsSettings>, data = 0x7f68e2b75460

<qt_meta_data_QgsSettings>, static_metacall = 0x7f68e2a09ce8 <QgsSettings::qt_static_metacall(QObject*,

QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static sGlobalSettingsPath = {static null = {<No

data fields>}, d = 0x5592854668d0}, mUserSettings = 0x559285378ea0, mGlobalSettings = 0x0, mUsingGlobalArray = false}

gdb returned 0

Associated revisions

Revision dc7ec1e1 - 2017-11-08 02:37 PM - Matthias Kuhn 

No need to crash when a user wants a highlight

Fix #17413

History

#1 - 2017-11-07 04:46 PM - Andreas Neumann

I should add that the Identify tool works fine if I change the mode from "Layer choice" to "active layer only".

#2 - 2017-11-08 03:25 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|dc7ec1e1ca927a9b45466df85e14fb4083f7b80e.

#3 - 2018-03-12 08:51 PM - Jürgen Fischer

- Description updated
